edu.sc.seis.sod.source.seismogram

## Class ConstantSeismogramSourceLocator

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource
  - - edu.sc.seis.sod.source.seismogram.ConstantSeismogramSourceLocator

- All Implemented Interfaces:
    SodElement, SeismogramSourceLocator, Source
  Direct Known Subclasses:
    FdsnDataSelect

      public abstract class ConstantSeismogramSourceLocator
      extends AbstractSource
      implements SeismogramSourceLocator

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractSource

      `name, NAME_ELEMENT, RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantSeismogramSourceLocator(org.w3c.dom.Element config, java.lang.String defaultName)`
    `ConstantSeismogramSourceLocator(org.w3c.dom.Element config, java.lang.String defaultName, int defaultRetries)`
    `ConstantSeismogramSourceLocator(java.lang.String name)`
    `ConstantSeismogramSourceLocator(java.lang.String name, int retries)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SeismogramSource` | `getSeismogramSource()`
    `SeismogramSource` | `getSeismogramSource(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters, CookieJar cookieJar)`

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractSource

      `appendToName, getFissuresNamingService, getName, getRetries, getRetryStrategy, setRetryStrategy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantSeismogramSourceLocator

          public ConstantSeismogramSourceLocator(org.w3c.dom.Element config,
                                                 java.lang.String defaultName,
                                                 int defaultRetries)

    - #### ConstantSeismogramSourceLocator

          public ConstantSeismogramSourceLocator(java.lang.String name,
                                                 int retries)

    - #### ConstantSeismogramSourceLocator

          public ConstantSeismogramSourceLocator(org.w3c.dom.Element config,
                                                 java.lang.String defaultName)

    - #### ConstantSeismogramSourceLocator

          public ConstantSeismogramSourceLocator(java.lang.String name)

  - ### Method Detail

    - #### getSeismogramSource

          public final SeismogramSource getSeismogramSource(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                                            edu.iris.Fissures.network.ChannelImpl channel,
                                                            edu.iris.Fissures.IfSeismogramDC.RequestFilter[] infilters,
                                                            CookieJar cookieJar)
                                                     throws java.lang.Exception

      Specified by:
        `getSeismogramSource` in interface `SeismogramSourceLocator`
      Throws:
        `java.lang.Exception`

    - #### getSeismogramSource

          public abstract SeismogramSource getSeismogramSource()